# Class ConfirmPaymentSentReply

#### Hierarchy

- unknown
  - ConfirmPaymentSentReply

- Defined in src/protobuf/grpc_pb.d.ts:2450
- Defined in src/protobuf/grpc_pb.d.ts:2459

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ConfirmPaymentSentReply(): ConfirmPaymentSentReply

- #### Returns ConfirmPaymentSentReply

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2451

### toObject

- toObject(includeInstance?: boolean): ConfirmPaymentSentReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ConfirmPaymentSentReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2452

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ConfirmPaymentSentReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ConfirmPaymentSentReply

  - Defined in src/protobuf/grpc_pb.d.ts:2455

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ConfirmPaymentSentReply, reader: BinaryReader): ConfirmPaymentSentReply

- #### Parameters

  - ##### message: ConfirmPaymentSentReply

  - ##### reader: BinaryReader

  #### Returns ConfirmPaymentSentReply

  - Defined in src/protobuf/grpc_pb.d.ts:2456

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ConfirmPaymentSentReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ConfirmPaymentSentReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2454

### `Static` toObject

- toObject(includeInstance: boolean, msg: ConfirmPaymentSentReply): ConfirmPaymentSentReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ConfirmPaymentSentReply

  #### Returns ConfirmPaymentSentReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2453

Generated using TypeDoc